Subject: Re: Using a font server with X-Win32
From: [email-masked] (GNU Win32)

20 May 1998 07:37:00 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=US-ASCII
Content-Transfer-Encoding: 7bit
To: [email-masked]
Cc: [email-masked]

Dear Tijs,

> 
> Since Release 6, Xfs, the default X11 font server, is able
> to handle Type 1 outline fonts (.PFA / .PFB). Using Sergey's
> patches for X11R6.4 Xfs builds just fine with Cygwin32.
>

xfs.exe is also included in our X11R6.3 distribution.

[snip]
> 
> However, when I enter
> 
>   bash$ xfs -port 7100 &
> 
> and next start X-Win32, Xfs core dumps complaining about a
> STATUS_ACCESS_VIOLATION and X-Win32, understandably, fails
> to come up. 

Yep, I get the same with the X11R6.3 compiled xfs.exe.

> Why does Xfs core dump? It seems that Xfs reads
> /usr/X11R6.4/lib/X11/fs/config just fine, for when I enter
> some deliberate nonsense in this configuration file Xfs
> complains just like it should and gracefully bails out. The
> fact that Xfs core dumps suggests to me that some
> connection is made. So what is wrong?
> 

Sorry, but I am clueless.  At this point the only thing I can suggest is to
rebuild xfs.exe with "-g" and go for it with gdb.

-- 
Arlindo da Silva    
[email-masked]

http://dao.gsfc.nasa.gov/software/grads/win32/X11R6.3

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".